## pgbackrest 1.02

=== debian/changelog ===
pgbackrest (1.02-2) unstable; urgency=medium

  * Implicit use SOURCE_DATE_EPOCH in txt2man. Remove MANDATE.
  * Build docs with custom variable "html-footer" to get a reproducible
    build.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 20 Jun 2016 14:02:52 +0200

pgbackrest (1.02-1) unstable; urgency=medium

  [ Adrian Vondendriesch ]
  * New upstream release.
  * Drop patches included in upstream version.
  * Ship manpage based on upstream template.
  * Change owner of pgbackrest.conf to postgres.
  * Change architecture from any to all.
  * Modify package description.
  * Remove PostgreSQL version from stanza example.

  [ Christoph Berg ]
  * debian/tests: Add simple "version" test.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 13 Jun 2016 13:16:50 +0200

pgbackrest (1.01-1) unstable; urgency=medium

  * New upstream release.
  * Add libdbd-pg-perl to Depends.
  * Add postgresql-common to Depends.
  * Change owner of pgbackrest directories to postgres in postinst.
  * Bump standards version.
  * Create a pgbackrest-doc package which contains the html documentation.
  * Ship own manage.
  * patches:
    * add upstream sprintf patch
    * add upstream documentation patches

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 01 Jun 2016 20:57:29 +0200

pgbackrest (1.00-1) unstable; urgency=medium

  * New upstream release.
  * Rename config file from pg_backrest.conf to pgbackrest.conf.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 03 May 2016 20:48:13 +0200

pgbackrest (0.9-1) unstable; urgency=medium

  * Initial release

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 13 Mar 2016 17:29:17 +0100

=== debian/rules ===
#!/usr/bin/make -f

MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	perl $(CURDIR)/doc/doc.pl --out=man --out=html --cache-only \
	  --var=project-url-root=index.html --exclude=backlog \
	  --var="html-footer=Copyright &copy;2015-2016, The PostgreSQL Global Development Group."
	txt2man \
	  -v "pgBackRest Command Reference" \
	  -t pgbackrest \
	  -s 1 \
	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
	dh_auto_build

## pgbackrest 2.01

=== src/Makefile ===
####################################################################################################################################
# pgBackRest Makefile
####################################################################################################################################

####################################################################################################################################
# Compile options
####################################################################################################################################
CC=gcc

# Compile using C99 standard
CSTD = -std=c99

# Compile optimizations
COPT = -O2

# Locations of header files
CINCLUDE = -I.

# Compile warnings
CWARN = -Wfatal-errors -Wall -Wextra -Wwrite-strings -Wno-clobbered -Wswitch-enum -Wconversion -Wformat=2 -Wformat-nonliteral

# Automatically generate Perl compile options for the local system
CPERL = `perl -MExtUtils::Embed -e ccopts`

# Debug options
CDEBUG = -DNDEBUG

# Extra compile options to be set by caller
CEXTRA =

# Concatenate options for easy usage
CFLAGS = $(CINCLUDE) $(CSTD) $(COPT) $(CWARN) $(CPERL) $(CDEBUG) $(CEXTRA)

####################################################################################################################################
# Link options
####################################################################################################################################
# Automatically generate Perl linker options for the local system
LDPERL = `perl -MExtUtils::Embed -e ldopts`

# Extra linker options to be set by caller
LDEXTRA =

# Concatenate options for easy usage
LDFLAGS = $(LDPERL) $(LDEXTRA)

####################################################################################################################################
# Install options
####################################################################################################################################
# Modify destination install directory
DESTDIR =

####################################################################################################################################
# List of required source files.  main.c should always be listed last and the rest in alpha order.
####################################################################################################################################
SRCS = \
	command/archive/push/push.c \
	command/help/help.c \
	command/command.c \
	common/error.c \
	common/exit.c \
	common/ini.c \
	common/log.c \
	common/memContext.c \
	common/regExp.c \
	common/time.c \
	common/type/buffer.c \
	common/type/keyValue.c \
	common/type/list.c \
	common/type/string.c \
	common/type/stringList.c \
	common/type/variant.c \
	common/type/variantList.c \
	common/wait.c \
	config/config.c \
	config/define.c \
	config/load.c \
	config/parse.c \
	perl/config.c \
	perl/exec.c \
	storage/helper.c \
	storage/storage.c \
	main.c

# Create obj list from source list
OBJS=$(SRCS:.c=.o)

####################################################################################################################################
# Compile and link
####################################################################################################################################
pgbackrest: $(OBJS)
	$(CC) -o pgbackrest $(OBJS) $(LDFLAGS)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

####################################################################################################################################
# Installation.  DESTDIR can be used to modify the install location.
####################################################################################################################################
install: pgbackrest
	install -d $(DESTDIR)/usr/bin
	install -m 755 pgbackrest $(DESTDIR)/usr/bin

## pgbackrest 1.04

=== debian/changelog ===
pgbackrest (1.04-2) unstable; urgency=medium

  * Change postinst behaviour. Only set permissions if
    no prior version was installed.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 02 Aug 2016 11:34:57 +0200

pgbackrest (1.04-1) unstable; urgency=medium

  * New upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 30 Jul 2016 16:47:25 +0200

pgbackrest (1.03-1) unstable; urgency=medium

  * New upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 04 Jul 2016 07:54:34 +0200

=== debian/control ===
Source: pgbackrest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper (>= 9),
 libxml-checker-perl,
 txt2man
Standards-Version: 3.9.8
Homepage: http://www.pgbackrest.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgbackrest.git

Package: pgbackrest
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libdbd-pg-perl, postgresql-common
Suggests: pgbackrest-doc
Description: Reliable PostgreSQL Backup & Restore
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.

Package: pgbackrest-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation package for pgbackrest
 The pgBackRest documentation contains detailed information about the
 configuration and usage of pgBackRest.
 .
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 override_dh_auto_build:
 	perl $(CURDIR)/doc/doc.pl --out=man --out=html --cache-only \
 	  --var=project-url-root=index.html --exclude=backlog \
-	  --var="html-footer=Copyright &copy;2015-2016, The PostgreSQL Global Development Group."
+	  --var=release-date-static=y
 	txt2man \
 	  -v "pgBackRest Command Reference" \
 	  -t pgbackrest \

## pgbackrest 1.12

=== debian/changelog ===
pgbackrest (1.12-1) unstable; urgency=medium

  * New Upstream release.
  * Update rules files to clean up build files.
  * Run wrap-and-sort.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 15 Dec 2016 10:30:19 +0100

pgbackrest (1.11-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 18 Nov 2016 08:16:24 +0100

pgbackrest (1.10-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 10 Nov 2016 17:30:43 +0100

pgbackrest (1.09-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 11 Oct 2016 09:01:49 +0200

pgbackrest (1.08-1) unstable; urgency=medium

  * New Upstream releaase.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 15 Sep 2016 10:12:21 +0200

pgbackrest (1.07-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 07 Sep 2016 14:39:04 +0200

pgbackrest (1.06-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 26 Aug 2016 11:58:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 9),
- libxml-checker-perl,
- txt2man
+Build-Depends: debhelper (>= 9), libxml-checker-perl, txt2man
 Standards-Version: 3.9.8
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
@@ -13,7 +11,7 @@
 
 Package: pgbackrest
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libdbd-pg-perl, postgresql-common
+Depends: libdbd-pg-perl, postgresql-common, ${misc:Depends}, ${perl:Depends}
 Suggests: pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,7 @@
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
 	dh_auto_build
+
+override_dh_auto_clean:
+	rm -rf $(CURDIR)/doc/output
+	dh_auto_clean

=== debian/tests/control ===
Depends: @
Tests: version
Restrictions: allow-stderr

## pgbackrest 1.22

=== debian/changelog ===
pgbackrest (1.22-1) unstable; urgency=medium

  * New Upstream release:
    - Retry after internal S3 errors
    - Changed info command output
    - Configurable ssh ports (--backup-ssh-port / --db-ssh-port)
    - See http://www.pgbackrest.org/release.html#1.21 as well as #1.22

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 10 Aug 2017 10:17:56 +0200

pgbackrest (1.20-1) unstable; urgency=medium

  * New Upstream release:
    - See http://www.pgbackrest.org/release.html#1.19
  * Bump Standards-Version to 4.0.0.
  * Disable libc test on big-endian systems (Closes: #865545).
    The current test implementation doesn't work on big-endian systems.
  * Drop patches merged by upstream.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 28 Jun 2017 08:38:49 +0200

pgbackrest (1.19-1) unstable; urgency=medium

  * New Upstream release:
    - This release introduces S3 Support.
    - see http://www.pgbackrest.org/release.html#1.19 for more information.
  * d/rules: Run libc tests through dh_auto_test.
  * d/tests: Use -k to enable checksums for initdb in tests suite.
  * d/patches: Fix format in libc (%u vs %lu).
  * d/patches: Add upstream patch to fix libc alignment on 32 bit systems.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 15 Apr 2017 11:34:48 +0200

pgbackrest (1.18-1) unstable; urgency=medium

  * New Upstream release.
    See http://www.pgbackrest.org/release.html#1.18
  * debian/tests: add a simple test suite.
    Thanks to Hendrik Siewert.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 13 Apr 2017 15:54:51 +0200

pgbackrest (1.17-2) experimental; urgency=medium

  * Build the C-library without a packlist to make the build
    reproducible.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 17 Mar 2017 22:32:04 +0100

pgbackrest (1.17-1) experimental; urgency=medium

  * New Upstream release.
    See http://www.pgbackrest.org/release.html#1.17

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 14 Mar 2017 07:59:05 +0100

pgbackrest (1.16-1) experimental; urgency=medium

  * New Upstream release.
    See http://www.pgbackrest.org/release.html#1.15.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 03 Mar 2017 11:33:02 +0100

pgbackrest (1.15-1) experimental; urgency=medium

  * New Upstream release.
  * Build and ship new C-Library
  * Change architecture from all to any

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 11 Feb 2017 21:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,23 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 9), libxml-checker-perl, txt2man
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+               libio-socket-ssl-perl,
+               libxml-checker-perl,
+               libxml-libxml-perl,
+               txt2man
+Standards-Version: 4.0.0
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgbackrest.git
 
 Package: pgbackrest
-Architecture: all
-Depends: libdbd-pg-perl, postgresql-common, ${misc:Depends}, ${perl:Depends}
+Architecture: any
+Depends: libdbd-pg-perl,
+         postgresql-common,
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Suggests: pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL

## pgbackrest 1.25

=== debian/changelog ===
pgbackrest (1.25-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix custom settings for compress-level option being ignored.
      * Remove error when overlapping timelines are detected. Overlapping
        timelines are valid in many Point-in-Time-Recovery (PITR) scenarios.
      * Fix instances where database-id was not rendered as an integer in JSON
        info output.
    - Features:
      * Improve performance of list requests on S3.
    - See http://www.pgbackrest.org/release.html#1.25
  * Bump Standards-Version to 4.1.1.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 25 Oct 2017 15:17:11 +0200

pgbackrest (1.24-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed an issue where warnings were being emitted in place of lower
        priority log messages during backup from standby initialization.
      * Fixed an issue where some db-* options (e.g. db-port) were not
        being passed to remotes.
    - Features:
      * Exclude contents of pg_snapshots, pg_serial, pg_notify, and
        pg_dynshmem from backup since they are rebuilt on startup.
      * Exclude pg_internal.init files from backup since they are rebuilt
        on startup.
    - See http://www.pgbackrest.org/release.html#1.24

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 29 Sep 2017 10:33:45 +0200

pgbackrest (1.23-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed an issue that could cause compression to abort on growing files.
      * Fixed an issue with keep-alives not being sent to the remote from the
        local process.
    - Features:
      * Up to seven standbys can be configured for backup from standby.
      * PostgreSQL 10 support.
      * Allow content-length (in addition to chunked encoding) when reading
        XML data to improve compatibility with third-party S3 gateways.
    - Refactoring:
      * Configuration rules are now pulled from the C library when present.
      * Increase HTTP timeout for S3.
      * Add HTTP retries to harden against transient S3 network errors.
    - See http://www.pgbackrest.org/release.html#1.23

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 04 Sep 2017 10:23:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libxml-checker-perl,
                libxml-libxml-perl,
                txt2man
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgbackrest.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"
+
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+#DPKG_EXPORT_BUILDFLAGS = 1
+#include /usr/share/dpkg/buildflags.mk
 
 #export DH_VERBOSE = 1
 
@@ -16,8 +20,20 @@
 	  -t pgbackrest \
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
+	cd $(CURDIR)/libc; perl Makefile.PL PREFIX=/usr NO_PACKLIST=1
+	make -C $(CURDIR)/libc/
 	dh_auto_build
+
+override_dh_auto_test:
+	test "$(DEB_TARGET_ARCH_ENDIAN)" = "little" && \
+		cd $(CURDIR)/libc; make test
+	dh_auto_test
 
 override_dh_auto_clean:
 	rm -rf $(CURDIR)/doc/output
+	test ! -f libc/Makefile || make -C libc distclean
 	dh_auto_clean
+
+override_dh_auto_install:
+	make -C libc install DESTDIR=$(CURDIR)/debian/pgbackrest
+	dh_auto_install

## pgbackrest 1.26

=== debian/changelog ===
pgbackrest (1.26-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed an issue that could cause copying large manifests to fail during
        restore.
      * Fixed incorrect WAL offset for 32-bit architectures.
      * Fixed an issue retrieving WAL for old database versions. After a
        stanza-upgrade it should still be possible to restore backups from the
        previous version and perform recovery with archive-get. However,
        archive-get only checked the most recent db version/id and failed.
        Also clean up some issues when the same db version/id appears multiple
        times in the history.
      * Fixed an issue with invalid backup groups being set correctly on
        restore. If the backup cannot map a group to a name it stores the
        group in the manifest as false then uses either the owner of $PGDATA
        to set the group during restore or failing that the group of the
        current user.  This logic was not working correctly because the
        selected group was overwriting the user on restore leaving the group
        undefined and the user incorrectly set to the group.
      * Fixed an issue passing parameters to remotes. When more than one db
        was specified the path, port, and socket path would for db1 were
        passed no matter which db was actually being addressed.
    - Features:
      * Repository encryption support.
    - See http://www.pgbackrest.org/release.html#1.26
  * d/control: Add libssl-dev to B-D.
  * d/tests: Fix error handling in "suite" test

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 22 Nov 2017 22:11:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                libio-socket-ssl-perl,
                libxml-checker-perl,
                libxml-libxml-perl,
+               libssl-dev,
                txt2man
 Standards-Version: 4.1.1
 Homepage: http://www.pgbackrest.org/

## pgbackrest 2.01

=== debian/changelog ===
pgbackrest (2.01-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix --target-action and --recovery-option options being reported as
        invalid when restoring with --type=immediate.
      * Immediately error when a secure option (e.g. repo1-s3-key) is passed
        on the command line. Since pgBackRest would not pass secure options
        on to sub-processes an obscure error was thrown. The new error is much
        clearer and provides hints about how to fix the problem. Update
        command documentation to omit secure options that cannot be specified
        on the command-line.
      * Fix issue passing --no-config to embedded Perl.
      * Fix issue where specifying log-level-stderr > warn would cause a
        local/remote process to error on exit due to output found on
        stderr when none was expected. The max value for a local/remote
        process is now error since there is no reason for these processes to
        emit warnings.
      * Fix manifest test in the check command when tablespaces are present.
    - Improvements:
      * Error when multiple arguments are set in the config file for an
        option that does not accept multiple arguments.
      * Remove extraneous sudo commands from src/Makefile.
    - See http://pgbackrest.org/release.html#2.01
  * d/patches:
    - Drop Makefile patch.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 21 Mar 2018 12:11:46 +0100

pgbackrest (2.00-1) unstable; urgency=medium

  * New Upstream release:
    - Features:
      * The archive-push command is now partially coded in C which allows
        the PostgreSQL archive_command to run significantly faster when
        processing status messages from the asynchronous archive process.
    - Improvements:
      * Improve check command to verify that the backup manifest can be
        built.
      * Improve performance of HTTPS client. Buffering now takes the
        pending bytes on the socket into account (when present) rather than
        relying entirely on select(). In some instances the final bytes
    	would not be flushed until the connection was closed.
      * Improve S3 delete performance. The constant S3_BATCH_MAX had been
        replaced with a hard-coded value of 2, probably during testing.
      * Allow any non-command-line option to be reset to default on the
        command-line. This allows options in pgbackrest.conf to be reset
    	to default which reduces the need to write new configuration filesfor
    	specific needs.
      * The C library is now required. This eliminates conditional loading and
        eases development of new library features.
      * The pgbackrest executable is now a C binary instead of Perl. This
        allows certain time-critical commands (like async archive-push) to run
        more quickly.
      * Rename db-* options to pg-* and backup-* options to repo-* to
        improve consistency. repo-* options are now indexed although currently
        only one is allowed.
    - See http://pgbackrest.org/release.html#2.00

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 27 Feb 2018 17:12:39 +0100

pgbackrest (1.28-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed inability to restore a single database contained in a tablespace
        using --db-include.
      * Ensure latest db-id is selected on when matching archive.info to
        backup.info. This provides correct matching in the event there are
        system-id and db-version duplicates (e.g. after reverting a
        pg_upgrade).
      * Fixed overly chatty error message when reporting an invalid command.
    - Features:
      * Add stanza-delete command to cleanup unused stanzas.
    - Improvements:
      * Improve stanza-create command so that it does not error when the
        stanza already exists.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 03 Feb 2018 14:58:32 +0100

pgbackrest (1.27-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed an issue that suppressed locality errors for backup and restore.
        When a backup host is present, backups should only be allowed on the
        backup host and restores should only be allowed on the database host
        unless an alternate configuration is created that ignores the remote
        host.
      * Fixed an issue where WAL was not expired on PostgreSQL 10. This was
        caused by a faulty regex that expected all PostgreSQL major versions
        to be X.X.
      * Fixed an issue where the --no-config option was not passed to child
        processes. This meant the child processes would still read the local
        config file and possibly cause unexpected behaviors.
      * Fixed info command to eliminate "db (prior)" output if no backups or
        archives exist for a prior version of the cluster.
    - See http://pgbackrest.org/release.html#1.27

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 21 Dec 2017 17:59:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
 	cd $(CURDIR)/libc; perl Makefile.PL PREFIX=/usr NO_PACKLIST=1
 	make -C $(CURDIR)/libc/
+	make -C $(CURDIR)/src/
 	dh_auto_build
 
 override_dh_auto_test:
@@ -36,4 +37,5 @@
 
 override_dh_auto_install:
 	make -C libc install DESTDIR=$(CURDIR)/debian/pgbackrest
+	make -C src install DESTDIR=$(CURDIR)/debian/pgbackrest
 	dh_auto_install

## pgbackrest 2.02

=== debian/changelog ===
pgbackrest (2.02-1.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-pgbackrest-source-
    distribution=wheezy-37,
    7a0ffb10b96dbfd85d438cc6f63feab5f29c3519/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Mon, 07 May 2018 13:57:22 +0200

pgbackrest (2.02-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Install C module to "vendor" directory. Thanks Niko Tyni!
    (Closes: #896121)

  [ Adrian Vondendriesch ]
  * New Upstream release:
    - Bug Fixes
      * Fix directory syncs running recursively when only the specified
        directory should be synced.
      * Fix archive-copy throwing "path not found" error for incr/diff
        backups.
      * Fix failure in manifest build when two or more files in PGDATA are
        linked to the same directory.
      * Fix delta restore failing when a linked file is missing.
      * Fix rendering of key/value and list options in help.
    - Features:
      * Add asynchronous, parallel archive-get. This feature maintains a queue
        of WAL segments to help reduce latency when PostgreSQL requests a WAL
        segment with restore_command.
      * Add support for additional pgBackRest configuration files in the
        directory specified by the --config-include-path option. Add
        --config-path option for overriding the default base path of the
        --config and --config-include-path option.
      * Add repo-s3-token option to allow temporary credentials tokens to be
        configured. pgBackRest currently has no way to request new credentials
        so the entire command (e.g. backup, restore) must complete before the
        credentials expire.
    - Improvements:
      * Update the archive-push-queue-max, manifest-save-threshold, and
        buffer-size options to accept values in KB, MB, GB, TB, or PB where
        the multiplier is a power of 1024.
      * Make backup/restore path sync more efficient. Scanning the entire
        directory can be very expensive if there are a lot of small tables.
        The backup manifest contains the path list so use it to perform syncs
        instead of scanning the backup/restore path.
      * Show command parameters as well as command options in initial info log
        message.
      * Rename archive-queue-max option to archive-push-queue-max to avoid
        confusion with the new archive-get-queue-max option. The old option
        name will continue to be accepted

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 25 Apr 2018 11:35:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9),
+               libperl-dev,
                libio-socket-ssl-perl,
+               libssl-dev,
                libxml-checker-perl,
                libxml-libxml-perl,
-               libssl-dev,
                txt2man
 Standards-Version: 4.1.1
 Homepage: http://www.pgbackrest.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgbackrest.git
+Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest
 
 Package: pgbackrest
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	  -t pgbackrest \
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
-	cd $(CURDIR)/libc; perl Makefile.PL PREFIX=/usr NO_PACKLIST=1
+	cd $(CURDIR)/libc; perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
 	make -C $(CURDIR)/libc/
 	make -C $(CURDIR)/src/
 	dh_auto_build

## pgbackrest 2.04

=== src/Makefile ===
--- 
+++ 
@@ -14,10 +14,11 @@
 COPT = -O2
 
 # Locations of header files
-CINCLUDE = -I.
+CINCLUDE = -I. -I../libc
 
 # Compile warnings
-CWARN = -Wfatal-errors -Wall -Wextra -Wwrite-strings -Wno-clobbered -Wswitch-enum -Wconversion -Wformat=2 -Wformat-nonliteral
+CWARN = -Wfatal-errors -Wall -Wextra -Wwrite-strings -Wswitch-enum -Wconversion -Wformat=2 -Wformat-nonliteral \
+		-Wno-clobbered -Wno-missing-field-initializers
 
 # Automatically generate Perl compile options for the local system
 CPERL = `perl -MExtUtils::Embed -e ccopts`
@@ -41,7 +42,7 @@
 LDEXTRA =
 
 # Concatenate options for easy usage
-LDFLAGS = $(LDPERL) $(LDEXTRA)
+LDFLAGS = -lcrypto $(LDPERL) $(LDEXTRA)
 
 ####################################################################################################################################
 # Install options
@@ -53,17 +54,27 @@
 # List of required source files.  main.c should always be listed last and the rest in alpha order.
 ####################################################################################################################################
 SRCS = \
+	command/archive/common.c \
+	command/archive/get/get.c \
 	command/archive/push/push.c \
 	command/help/help.c \
 	command/command.c \
+	common/debug.c \
+	common/encode.c \
+	common/encode/base64.c \
 	common/error.c \
 	common/exit.c \
+	common/fork.c \
+	common/io/handle.c \
 	common/ini.c \
+	common/lock.c \
 	common/log.c \
 	common/memContext.c \
 	common/regExp.c \
+	common/stackTrace.c \
 	common/time.c \
 	common/type/buffer.c \
+	common/type/convert.c \
 	common/type/keyValue.c \
 	common/type/list.c \
 	common/type/string.c \
@@ -75,8 +86,20 @@
 	config/define.c \
 	config/load.c \
 	config/parse.c \
+	crypto/cipherBlock.c \
+	crypto/hash.c \
+	crypto/crypto.c \
+	crypto/random.c \
 	perl/config.c \
 	perl/exec.c \
+	postgres/info.c \
+	postgres/pageChecksum.c \
+	storage/driver/posix/driver.c \
+	storage/driver/posix/driverFile.c \
+	storage/driver/posix/driverRead.c \
+	storage/driver/posix/driverWrite.c \
+	storage/fileRead.c \
+	storage/fileWrite.c \
 	storage/helper.c \
 	storage/storage.c \
 	main.c
@@ -90,12 +113,70 @@
 pgbackrest: $(OBJS)
 	$(CC) -o pgbackrest $(OBJS) $(LDFLAGS)
 
-.c.o:
-	$(CC) $(CFLAGS) -c $< -o $@
-
 ####################################################################################################################################
 # Installation.  DESTDIR can be used to modify the install location.
 ####################################################################################################################################
 install: pgbackrest
 	install -d $(DESTDIR)/usr/bin
 	install -m 755 pgbackrest $(DESTDIR)/usr/bin
+
+####################################################################################################################################
+# Compile rules
+####################################################################################################################################
+command/archive/common.o: command/archive/common.c command/archive/common.h common/assert.h common/debug.h common/error.auto.h common/error.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h postgres/version.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c command/archive/common.c -o command/archive/common.o
+
+command/archive/get/get.o: command/archive/get/get.c command/archive/common.h command/command.h common/assert.h common/debug.h common/error.auto.h common/error.h common/fork.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/regExp.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h config/config.auto.h config/config.h config/define.auto.h config/define.h config/load.h perl/exec.h postgres/info.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c command/archive/get/get.c -o command/archive/get/get.o
+
+command/archive/push/push.o: command/archive/push/push.c command/archive/common.h command/command.h common/debug.h common/error.auto.h common/error.h common/fork.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h config/config.auto.h config/config.h config/define.auto.h config/define.h config/load.h perl/exec.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c command/archive/push/push.c -o command/archive/push/push.o
+
+command/command.o: command/command.c common/assert.h common/debug.h common/error.auto.h common/error.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h version.h
+	$(CC) $(CFLAGS) -c command/command.c -o command/command.o
+
+command/help/help.o: command/help/help.c common/assert.h common/debug.h common/error.auto.h common/error.h common/io/handle.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h version.h
+	$(CC) $(CFLAGS) -c command/help/help.c -o command/help/help.o
+
+common/debug.o: common/debug.c common/debug.h common/logLevel.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/debug.c -o common/debug.o
+
+common/encode.o: common/encode.c common/debug.h common/encode.h common/encode/base64.h common/error.auto.h common/error.h common/logLevel.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/encode.c -o common/encode.o
+
+common/encode/base64.o: common/encode/base64.c common/debug.h common/encode/base64.h common/error.auto.h common/error.h common/logLevel.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/encode/base64.c -o common/encode/base64.o
+
+common/error.o: common/error.c common/error.auto.c common/error.auto.h common/error.h common/logLevel.h common/stackTrace.h
+	$(CC) $(CFLAGS) -c common/error.c -o common/error.o
+
+common/exit.o: common/exit.c command/command.h common/debug.h common/error.auto.h common/error.h common/exit.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h perl/exec.h
+	$(CC) $(CFLAGS) -c common/exit.c -o common/exit.o
+
+common/fork.o: common/fork.c common/debug.h common/error.auto.h common/error.h common/log.h common/logLevel.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/fork.c -o common/fork.o
+
+common/ini.o: common/ini.c common/debug.h common/error.auto.h common/error.h common/ini.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c common/ini.c -o common/ini.o
+
+common/io/handle.o: common/io/handle.c common/debug.h common/error.auto.h common/error.h common/io/handle.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/string.h
+	$(CC) $(CFLAGS) -c common/io/handle.c -o common/io/handle.o
+
+common/lock.o: common/lock.c common/assert.h common/debug.h common/error.auto.h common/error.h common/io/handle.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c common/lock.c -o common/lock.o
+
+common/log.o: common/log.c common/assert.h common/debug.h common/error.auto.h common/error.h common/log.h common/logLevel.h common/stackTrace.h common/time.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/log.c -o common/log.o
+
+common/memContext.o: common/memContext.c common/assert.h common/debug.h common/error.auto.h common/error.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/memContext.c -o common/memContext.o
+
+common/regExp.o: common/regExp.c common/debug.h common/error.auto.h common/error.h common/logLevel.h common/memContext.h common/regExp.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/string.h
+	$(CC) $(CFLAGS) -c common/regExp.c -o common/regExp.o
+
+common/stackTrace.o: common/stackTrace.c common/assert.h common/error.auto.h common/error.h common/logLevel.h common/stackTrace.h
+	$(CC) $(CFLAGS) -c common/stackTrace.c -o common/stackTrace.o
+
+common/time.o: common/time.c common/debug.h common/logLevel.h common/stackTrace.h common/time.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/time.c -o common/time.o
+

=== debian/changelog ===
pgbackrest (2.04-2) unstable; urgency=medium

  * d/rules:
    - Fix the documentation build process by adjusting the content of command
      output cache that is required to building the docs.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 07 Jul 2018 14:08:32 +0200

pgbackrest (2.04-1) unstable; urgency=medium

  * New Upstream release:
    - Critical Bug Fix for Backup Resume:
      **IMPORTANT NOTE**: This release fixes a critical bug in the
      backup resume feature. All resumed backups prior to this release should
      be considered inconsistent. A backup will be resumed after a prior
      backup fails, unless resume=n has been specified. A resumed backup can be
      identified by checking the backup log for the message "aborted backup of
      same type exists, will be cleaned to remove invalid files and resumed".
      If the message exists, do not use this backup or any backup in the same
      set for a restore and check the restore logs to see if a resumed backup
      was restored. If so, there may be inconsistent data in the cluster.
    - Bug Fixes:
      * Fix critical bug in resume that resulted in inconsistent
        backups. A regression in v0.82 removed the timestamp comparison when
        deciding which files from the aborted backup to keep on resume. See
        note above for more details.
      * Fix error in selective restore when only one user database exists in
        the cluster.
      * Fix non-compliant ISO-8601 timestamp format in S3 authorization
        headers. AWS and some gateways were tolerant of space rather than
        zero-padded hours while others were not.
    - Features:
      * PostgreSQL 11 Beta 2 support.
    - Improvements:
      * Improve the HTTP client to set content-length to 0 when not specified
        by the server. S3 (and gateways) always set content-length or
        transfer-encoding but HTTP 1.1 does not require it and proxies (e.g.
        HAProxy) may not include either.
      * Set search_path = 'pg_catalog' on PostgreSQL connections.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 06 Jul 2018 10:24:40 +0200

pgbackrest (2.03-1) unstable; urgency=medium

  * Drop C library.
  * Update Suggests. Include:
    - libio-socket-ssl-perl
    - libxml-libxml-perl
  * New Upstream release:
    - Bug Fixes:
      * Fix potential buffer overrun in error message handling.
      * Fix archive write lock being taken for the synchronous archive-get
        command.
    - Improvements:
      * Embed exported C functions and Perl modules directly into the
        pgBackRest executable.
      * Use time_t instead of __time_t for better portability.
      * Print total runtime in milliseconds at command end.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 29 May 2018 10:45:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9),
+               libio-socket-ssl-perl,
                libperl-dev,
-               libio-socket-ssl-perl,
                libssl-dev,
                libxml-checker-perl,
                libxml-libxml-perl,
@@ -22,7 +22,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Suggests: pgbackrest-doc
+Suggests: libio-socket-ssl-perl, libxml-libxml-perl, pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
  that can seamlessly scale up to the largest databases and workloads.
